<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\User\UserId;
use DomainException;

use function sprintf;

final class InvalidStudentRoleException extends DomainException
{
    public static function pourUtilisateur(UserId $userId): self
    {
        return new self(sprintf(
            'L\'utilisateur « %s » n\'a pas le rôle ROLE_ELEVE.',
            $userId,
        ));
    }
}
